ランタイム: Mix::Graphics::Utility::IFont Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Protected Member Functions | List of all members
Mix::Graphics::Utility::IFont Class Referenceabstract

フォントインターフェース More...

`#include <IFont.h>`

Inheritance diagram for Mix::Graphics::Utility::IFont:
[legend]
Collaboration diagram for Mix::Graphics::Utility::IFont:
[legend]

## Classes

struct | GLYPH
| グリフ構造体 More...

## Public Types

enum | EFFECTS { EF_ITALIC = 0x00000001, EF_BORDERING = 0x00000002 }
| 効果列挙定数 More...

## Public Member Functions

virtual Boolean | GetGlyph (wchar_t code, Mix::Graphics::Utility::IFont::GLYPH &glyph)=0
| フォントグリフを取得します More...
virtual UInt32 | GetEffects (void) const =0
| 効果を取得します More...
virtual UInt32 | GetHeight (void) const =0
| フォントのサイズを取得します More...
virtual UInt32 | GetWeight (void) const =0
| フォントの太さを取得します More...
virtual UInt32 | GetBorderSize (void) const =0
| 縁のサイズを取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IFont (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

フォントインターフェース

## Member Enumeration Documentation

enum Mix::Graphics::Utility::IFont::EFFECTS

効果列挙定数

Enumerator
EF_ITALIC | 斜体
EF_BORDERING | 縁取り

## Constructor & Destructor Documentation

virtual Mix::Graphics::Utility::IFont::~IFont | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual Boolean Mix::Graphics::Utility::IFont::GetGlyph | ( | wchar_t | code,
|  | Mix::Graphics::Utility::IFont::GLYPH & | glyph
| ) |  |

pure virtual

フォントグリフを取得します

Parameters

  [in] | code | キャラクターコード
  [out] | glyph | グリフを渡す Mix::Graphics::Utility::IFont::GLYPH 構造体

Returns
  成功した場合は True を返します

virtual UInt32 Mix::Graphics::Utility::IFont::GetEffects | ( | void |  | ) | const

pure virtual

効果を取得します

Returns
  効果を表す Mix::Graphics::Utility::IFont::EFFECTS 列挙定数の組み合わせ

virtual UInt32 Mix::Graphics::Utility::IFont::GetHeight | ( | void |  | ) | const

pure virtual

フォントのサイズを取得します

Returns
  サイズを返します

virtual UInt32 Mix::Graphics::Utility::IFont::GetWeight | ( | void |  | ) | const

pure virtual

フォントの太さを取得します

Returns
  太さを返します

virtual UInt32 Mix::Graphics::Utility::IFont::GetBorderSize | ( | void |  | ) | const

pure virtual

縁のサイズを取得します

Returns
  サイズを返します

The documentation for this class was generated from the following file:

- Mix/Graphics/Utility/IFont.h